{% extends 'front.html.twig' %}

{% block content %}
    
    <div class="unit-5 overlay" style="background-image: url( {{ asset('images/img_3.jpg' ) }} );">
      <div class="container text-center">
        <h2 class="mb-0">{{ job.position }}</h2>
        <p class="mb-0 unit-6"><a href="{{ path('ens_job_index') }}">Accueil</a> <span class="sep">></span> <span>Détails de l'offre</span></p>
      </div>
    </div>

    
    

    <div class="site-section bg-light">
      <div class="container">
        <div class="row">
       
          <div class="col-md-12 col-lg-8 mb-5">
          
            
          
            <div class="p-5 bg-white">

              <div class="mb-4 mb-md-5 mr-5">

                {% for message in app.flashes('success') %}
                    <div class="alert alert-success">
                        {{ message }}
                    </div>
                {% endfor %}

               <div class="job-post-item-header d-flex align-items-center">
                 <h2 class="mr-3 text-black h4">{{ job.position }}</h2>
                 <div class="badge-wrap">
                  <span class="bg-danger text-white badge py-2 px-4">{{ job.type }}</span>
                 </div>
               </div>
               <div class="job-post-item-body d-block d-md-flex">
                 <div class="mr-3">
                    <span class="fl-bigmug-line-portfolio23"></span> <a href="#">{{ job.company }}</a>
                </div>
                 <div class="mr-3">
                    <span class="fl-bigmug-line-big104"></span> <span>{{ job.location }}</span>
                </div>
                <div>
                    <span class="fl-bigmug-line-timer35"></span> <span>{{ job.createdAt | date('d/m/Y') }}</span>
                </div>
               </div>
              </div>
              
              <p>{{ job.description }}</p>

            {% if app.request.get('token') %}

                {{ include('@Jobeet/job/admin.html.twig', { 'job': job }) }}
              {#   <p class="mt-5">
                    <a href="{{ path('ens_job_edit', {'token' : job.token }) }}" class="btn btn-primary  py-2 px-4">Modifier</a>

                    <a href="{{ path('ens_job_delete', {'token' : job.token }) }}" class="btn btn-danger  py-2 px-4">Supprimer</a>
                </p> #}



            {% endif %}
            
            </div>
          </div>

          <div class="col-lg-4">
            
            
            <div class="p-4 mb-3 bg-white">
              <!--  <h3 class="h5 text-black mb-3">Comment postuler ?</h3> -->
              <a href="{{ job.url }}">
                <img src="{{ asset('uploads/' ~ job.logo ) }}"
                  alt="{{ job.company }} logo" />
              </a>
              
            </div>

            <div class="p-4 mb-3 bg-white">
              <h3 class="h5 text-black mb-3">Comment postuler ?</h3>
              <p>{{ job.howtoApply }}</p>
              
            </div>
          </div>
        </div>
      </div>
    </div>



    
{% endblock %}
